curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/sso/applications/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/sso/applications/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/sso/applications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"application": {
"appEntitlementId": "<string>",
"appId": "<string>",
"assertionLifetime": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"disabled": true,
"displayName": "<string>",
"id": "<string>",
"oidc": {
"claimMappings": [
{
"claimName": "<string>",
"userAttributeMappingId": "<string>"
}
]
},
"saml": {
"acsUrls": [
"<string>"
],
"spEntityId": "<string>",
"attributeMappings": [
{
"name": "<string>",
"userAttributeMappingId": "<string>",
"friendlyName": "<string>"
}
],
"encryptAssertions": true,
"requireSignedAuthnRequests": true,
"signAssertions": true,
"signResponses": true,
"spEncryptionCertificate": "aSDinaTvuI8gbWludGxpZnk=",
"spSigningCertificates": [
"aSDinaTvuI8gbWludGxpZnk="
]
},
"sectorId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Get
Get returns a single SSO application by app_id + id.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The application in your catalog that owns the SSO application.
Unique identifier for the SSO application.
Response
SSOApplicationServiceGetResponse returns a single SSO application.
SSOApplicationServiceGetResponse returns a single SSO application.
SSOApplication is one application your users sign in to through ConductorOne.
This message contains a oneof named protocol. Only a single field of the following list may be set at a time:
- oidc
- saml
Show child attributes
Show child attributes
Was this page helpful?